import socket
from LogLevel import *
from AllCode import *
from DeliveryAgent import *

class ClientDft:

	# Where the Daemon is running
	server = socket.gethostname()

	# Client connection type to daemon
	# AF_INET or AF_UNIX
	connection = socket.AF_INET

	# Connect to port
	port = 17870

	# Request result from remote host after the
	# event is submitted
	requestResult = 1

	# Default result action if requestResult is 1
	resultAction = ResultCode.RESULT_BACK
	
	# if requestResult is 1, then following option
	# determines whether client should wait for the result
	# send back to the send. Or quit after submitting the
	# task.
	waitResult = 0

	# default choice to transmit an event
	transmitMedia = Delivery.SMTP
	
	# Email account
	emailAccount = ""

	# Email password
	emailPassword = ""

	# Email address
	emailAddress = ""
	
	# Path for logfile
	#logfile = "/tmp/actim.log"
	logfile = "stderr"

	# Compress files before transferring
	compressFiles = 1
	
	# Log status, 1 - on, 0 - off
	logStatus = 1

	# Initial log level
	logLevel = LogLevel.COMMS_EVENT

	# target path for putting or getting files
	targetPath = '/tmp'

	# Key for encrypting email content
	# Put the value either in .actimrc or from prompt
	eKey = ''

	# If xmlOutput = 1, it means all the client output
	# including the result of the request
	xmlOutput = 1
