#!/usr/local/bin/python

import sys, time, popen2, os
from os.path import *
from testTools import *
from Config import *
from MDC import *
from ParseResult import *
from signal import *

# Can't test this on Window because dunno how to
# to kill a process
if mdc_isLose():
	sys.exit(0)
	
initConfig([expanduser("~/.actimrc")], None, 0)
emailAddress = GlobalConfig.emailAddress

numPassed = 0
numFailed = 0

backUpActimrc()
backUpActimdrc()

defaultOpts = {
	"eKey":"testing"
	}

securityOpts = {
	"allowFileSend":0,
	"allowFileReceive":0,
	"allowExecution":1,
	"restrictedExecution":0,
	"serviceTimeLimit":0
	}

removeRestrictedCommand("~/.actimdrc")
modifyActimRC("~/.actimdrc", None, securityOpts)
modifyActimRC("~/.actimrc", defaultOpts, None)

os.system("rm -f /tmp/test_killClient")

if emailAddress != None:

	startActimdBg()

	test = ["*********** Launch an event command ***********\n" +
			"*********** then kill the client **************\n" +
			"*********** Then launch a server command ******\n" +
			"*********** check to make sure still got ******\n" +
			"*********** the server command result *********\n",
			"python ../../actim -E -e \"ls -l\" -d %s -R &" %
			emailAddress, 
			"ls -l /tmp", None, None]

	sys.stdout.write(test[0])

	# Starts the client in background
	os.system(test[1])

	# Now wait for 15 seconds and then kill the client
	time.sleep(15)
	sys.stdout.write(">>>>>>> Now kill the client <<<<<<<<\n")
	if killActim(0, SIGINT) == 0:

		# Now invoke a server command and see the xml result is
		# server command
		sys.stdout.write(">>>>>>> Call actim server command <<<<<<\n")
		sys.stdout.write(">>>>>>> and parse the output <<<<<<<<<<<\n")
		stdoutMsg, stderrMsg, rtCode = mdc_popen(
			"python ../../actim -C QUEUE_INFO ALL --xmlOut")

		sys.stdout.writelines(stdoutMsg)
		# result, dict, error = parseQueueInfoXMLResult(None, None, stdoutMsg)
	
		if rtCode == 0:
			sys.stdout.write(">>>>>>>>> Pass <<<<<<<<<<\n")
			numPassed = numPassed + 1
		else:
			sys.stdout.write(">>>>>> Fail: the return code is %s <<<<<<\n" %
							 rtCode)
			sys.stdout.writelines(stdoutMsg)
			sys.stdout.writelines(stderrMsg)
			numFailed = numFailed + 1
	else:
		numFaild = numFailed + 1

	# Make sure the actim server done all the jobs
	time.sleep(100)
	stopServer()

restoreActimdrc()
restoreActimrc()

report('test_killClient', numPassed, numFailed, None)
report('test_killClient', numPassed, numFailed)

