from LogLevel import *
import socket

class DaemonDft:

	# Media transfer media
	internetMedia = "SMTP"

	# What type of connection listen on
	# AF_INET or AF_UNIX
	connection = socket.AF_INET

	# What port number to listen on
	# this is ignored if AF_UNIX
	port = 17870

	# Media availability to transmit events
	sendEmail = 1
	#sendFTP   = 0
	#sendHTTP  = 0

	# Number of seconds interval in polling
	pollEmailInterval = 15
	
	# SMTP server and port
	SMTP_server = ''
	SMTP_port   = 25

	# BECAREFUL TO MODIFY THIS FIELD. This is the
	# message subject to be recognized by the other
	# side
	mailSubject = None

	# IMAP server and port
	IMAP4_server = ''
	IMAP4_port   = 143
	
	# Number of connections accepted
	numConnection = 2

	# Path for logfile
	#logfile = "/tmp/actimd.log"
	logfile = "stderr"
	
	# Log status, 1 - on, 0 - off
	logStatus = 1

	# Initial log level
	logLevel = LogLevel.COMMS_EVENT

	# Should any result from remote site be saved in a dir
	saveRemoteRslt = 1

	# Where to save the results
	saveRsltDir = "/tmp/"
	
	xmlOutput = 0

