from time import *

class LogLevel:

	NONE    = 0	
	BAD_ERROR = 1
	ERROR   = 2
	WARNING = 3
	MAJOR_EVENT = 4
	MINOR_EVENT = 5
	COMMS_EVENT = 6
	BINARY_DEBUG = 7
	BINARY_PROC = 8
	LOW_LEVEL_DEBUG = 9
	
	names = [ 'NONE', 'BAD_ERROR', 'ERROR', 'WARNING', 'MAJOR_EVENT',
			  'MINOR_EVENT', 'COMMS_EVENT', 'BINARY_DEBUG', 'BINARY_PROC',
			  'LOW_LEVEL_DEBUG' ]

	levelToName  = { 0:'No Logging', 1:'Fatal error',
					 2:'Error', 3:'Warning',
					 4:'Major event', 5:'Minor event',
					 6:'Comms event', 7:'Binary debug',
					 8:'Procedure', 9:'Low level debug' }


def formXMLLogMessage(msgLogLevel, message):

	xmlLogMsg = (
				 "<Log time=\"%s\" level=\"%s\" levelName=\"%s\">\n %s</Log>\n" %
				 (ctime(time()), msgLogLevel,
				  LogLevel.levelToName[msgLogLevel], message))

	return xmlLogMsg
